%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name SOAP

Name:           php-pear-SOAP
Version:        0.13.0
Release:        7%{?dist}
Summary:        Simple Object Access Protocol (SOAP) Client/Server for PHP

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/SOAP
Source0:        http://download.pear.php.net/package/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.5.4
# for xml2changelog
BuildRequires:  php-simplexml

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(PEAR), php-pear(HTTP_Request)
# optional requires
Requires:       php-pear(Mail), php-pear(Mail_Mime), php-pear(Net_DIME)

Provides:       php-pear(%{pear_name}) = %{version}

%description
Implementation of Simple Object Access Protocol (SOAP) protocol and services.
 

%prep
%setup -q -c
%{_bindir}/php %{SOURCE2} package.xml >CHANGELOG

# this file will be provided as doc,
# instead of /usr/share/pear/tools/genproxy.php
sed -i -e '/genproxy.php/s/role="php"/role="doc"/' package.xml

cd %{pear_name}-%{version}
# Package is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%doc %{pear_name}-%{version}/tools/genproxy.php
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/%{pear_name}
%{pear_testdir}/%{pear_name}


%changelog
* Mon Aug  5 2013 Remi Collet <remi@fedoraproject.org> - 0.13.0-7
- xml2changelog need simplexml

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 0.13.0-5
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 0.13.0-3
- rebuilt for new pear_testdir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 Remi Collet <remi@fedoraproject.org> - 0.13.0-1
- Version 0.13.0 (beta) - API 0.13.0 (beta) - QA release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Apr 26 2011 Remi Collet <Fedora@FamilleCollet.com> 0.12.0-6
- doc in /usr/share/doc/pear
- define timezone during build
- clean requires

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 05 2010 Remi Collet <Fedora@FamilleCollet.com> 0.12.0-4
- spec cleanup
- rename SOAP.xml to php-pear-SOAP.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 05 2008 Remi Collet <Fedora@FamilleCollet.com> 0.12.0-1
- update to 0.12.0
- fix license
- BR on pear >= 1.5.4

* Mon Jul 02 2007 Remi Collet <Fedora@FamilleCollet.com> 0.11.0-1
- update to 0.11.0

* Sat Jan 27 2007 Remi Collet <Fedora@FamilleCollet.com> 0.10.1-1
- update to 0.10.1

* Mon Jan 22 2007 Remi Collet <Fedora@FamilleCollet.com> 0.10.0-1
- update to 0.10.0

* Mon Nov  6 2006 Remi Collet <Fedora@FamilleCollet.com> 0.9.4-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
